Manifest-Version: 1.0
Bnd-LastModified: 1724344322984
Bundle-ManifestVersion: 2
Bundle-Name: Liferay Commerce Order Web
Bundle-SymbolicName: com.liferay.commerce.order.web
Bundle-Vendor: Liferay, Inc.
Bundle-Version: 4.0.24.hotfix-9108-7310
Created-By: 1.8.0_381 (Oracle Corporation)
Import-Package: com.liferay.application.list;version="2.1",com.liferay
 .asset.kernel.model;version="3.5",com.liferay.commerce.account.model;
 version="2.0",com.liferay.commerce.constants;version="9.3",com.lifera
 y.commerce.context;version="6.0",com.liferay.commerce.currency.model;
 version="4.0",com.liferay.commerce.discount;version="2.1",com.liferay
 .commerce.exception;version="4.6",com.liferay.commerce.frontend.model
 ;version="5.1",com.liferay.commerce.inventory.model;version="3.0",com
 .liferay.commerce.inventory.service;version="5.5",com.liferay.commerc
 e.model;version="6.0",com.liferay.commerce.notification.model;version
 ="3.0",com.liferay.commerce.notification.service;version="3.3",com.li
 feray.commerce.order;version="4.2",com.liferay.commerce.order.engine;
 version="1.1",com.liferay.commerce.order.status;version="1.1",com.lif
 eray.commerce.payment.engine;version="3.1",com.liferay.commerce.payme
 nt.method;version="2.0",com.liferay.commerce.payment.model;version="2
 .0",com.liferay.commerce.payment.service;version="2.3",com.liferay.co
 mmerce.price;version="4.2",com.liferay.commerce.product.model;version
 ="12.0",com.liferay.commerce.product.service;version="16.1",com.lifer
 ay.commerce.product.util;version="15.0",com.liferay.commerce.service;
 version="11.7",com.liferay.expando.kernel.model;version="3.3",com.lif
 eray.frontend.taglib.clay.data;version="1.0",com.liferay.frontend.tag
 lib.clay.data.set;version="1.2",com.liferay.frontend.taglib.clay.data
 .set.filter;version="1.0",com.liferay.frontend.taglib.clay.data.set.p
 rovider;version="1.0",com.liferay.frontend.taglib.clay.data.set.servl
 et.taglib.util;version="1.0",com.liferay.frontend.taglib.clay.data.se
 t.view.list;version="1.2",com.liferay.frontend.taglib.clay.data.set.v
 iew.table;version="1.2",com.liferay.frontend.taglib.clay.servlet.tagl
 ib.util;version="3.6",com.liferay.frontend.taglib.servlet.taglib;vers
 ion="2.6",com.liferay.frontend.taglib.servlet.taglib.util;version="1.
 0",com.liferay.petra.function;version="1.4",com.liferay.petra.string;
 version="1.4",com.liferay.portal.kernel.annotation;version="7.0",com.
 liferay.portal.kernel.bean;version="8.0",com.liferay.portal.kernel.da
 o.search;version="8.0",com.liferay.portal.kernel.display.context.util
 ;version="1.1",com.liferay.portal.kernel.exception;version="9.5",com.
 liferay.portal.kernel.language;version="8.3",com.liferay.portal.kerne
 l.log;version="7.0",com.liferay.portal.kernel.messaging.proxy;version
 ="8.1",com.liferay.portal.kernel.model;version="5.6",com.liferay.port
 al.kernel.portlet;version="10.4",com.liferay.portal.kernel.portlet.br
 idges.mvc;version="3.0",com.liferay.portal.kernel.resource.bundle;ver
 sion="1.0",com.liferay.portal.kernel.search;version="9.6",com.liferay
 .portal.kernel.security.auth;version="2.6",com.liferay.portal.kernel.
 security.permission;version="3.4",com.liferay.portal.kernel.security.
 permission.resource;version="1.1",com.liferay.portal.kernel.service;v
 ersion="4.16",com.liferay.portal.kernel.servlet;version="8.5",com.lif
 eray.portal.kernel.servlet.taglib.ui;version="6.7",com.liferay.portal
 .kernel.theme;version="3.1",com.liferay.portal.kernel.transaction;ver
 sion="8.1",com.liferay.portal.kernel.util;version="10.28",com.liferay
 .portal.kernel.webserver;version="1.0",com.liferay.portal.kernel.work
 flow;version="9.5",com.liferay.portal.profile,com.liferay.portlet.ass
 et.model.impl;version="2.2",com.liferay.taglib.util;version="9.1",jav
 ax.portlet,javax.servlet,javax.servlet.http,org.osgi.service.componen
 t
Javac-Debug: on
Javac-Deprecation: off
Javac-Encoding: UTF-8
Liferay-Enterprise-App: product.id=9a473157-06a6-44b6-b017-a360ffaf5f3
 8
Liferay-Releng-App-Title: Liferay Commerce
Liferay-Releng-Bundle: true
Liferay-Releng-Category: Productivity
Liferay-Releng-Deprecated: false
Liferay-Releng-Fix-Delivery-Method: core
Liferay-Releng-Labs: false
Liferay-Releng-Marketplace: true
Liferay-Releng-Portal-Required: true
Liferay-Releng-Public: false
Liferay-Releng-Restart-Required: true
Liferay-Releng-Suite: commerce
Liferay-Releng-Suite-Description: This suite is available in the Lifer
 ay bundle.
Liferay-Releng-Suite-Title: Liferay Commerce
Liferay-Releng-Support-Url: http://www.liferay.com
Liferay-Releng-Supported: true
Private-Package: com.liferay.commerce.order.web.internal.application.l
 ist,com.liferay.commerce.order.web.internal.asset,com.liferay.commerc
 e.order.web.internal.custom.attributes,com.liferay.commerce.order.web
 .internal.display.context,com.liferay.commerce.order.web.internal.dis
 play.context.util,com.liferay.commerce.order.web.internal.frontend,co
 m.liferay.commerce.order.web.internal.frontend.constants,com.liferay.
 commerce.order.web.internal.model,com.liferay.commerce.order.web.inte
 rnal.portlet,com.liferay.commerce.order.web.internal.portlet.action,c
 om.liferay.commerce.order.web.internal.search,com.liferay.commerce.or
 der.web.internal.security.permission.resource,com.liferay.commerce.or
 der.web.internal.servlet.taglib.ui,com.liferay.commerce.order.web.int
 ernal.servlet.taglib.ui.constants,resource-actions,com.liferay.commer
 ce.order.web.internal.portal.profile
Provide-Capability: liferay.resource.bundle;resource.bundle.aggregate=
 "(bundle.symbolic.name=com.liferay.commerce.lang)";resource.bundle.ba
 se.name="content.Language",osgi.service;objectClass:List<String>="com
 .liferay.application.list.PanelApp";uses:="com.liferay.application.li
 st",osgi.service;objectClass:List<String>="com.liferay.asset.kernel.m
 odel.AssetRendererFactory";uses:="com.liferay.asset.kernel.model",osg
 i.service;objectClass:List<String>="com.liferay.commerce.order.web.in
 ternal.portlet.CommerceOrderPortlet,javax.portlet.Portlet";uses:="com
 .liferay.commerce.order.web.internal.portlet,javax.portlet",osgi.serv
 ice;objectClass:List<String>="com.liferay.commerce.order.web.internal
 .security.permission.resource.CommerceOrderPermission";uses:="com.lif
 eray.commerce.order.web.internal.security.permission.resource",osgi.s
 ervice;objectClass:List<String>="com.liferay.expando.kernel.model.Cus
 tomAttributesDisplay";uses:="com.liferay.expando.kernel.model",osgi.s
 ervice;objectClass:List<String>="com.liferay.frontend.taglib.clay.dat
 a.set.ClayDataSetActionProvider";uses:="com.liferay.frontend.taglib.c
 lay.data.set",osgi.service;objectClass:List<String>="com.liferay.fron
 tend.taglib.clay.data.set.ClayDataSetDisplayView";uses:="com.liferay.
 frontend.taglib.clay.data.set",osgi.service;objectClass:List<String>=
 "com.liferay.frontend.taglib.clay.data.set.filter.ClayDataSetFilter";
 uses:="com.liferay.frontend.taglib.clay.data.set.filter",osgi.service
 ;objectClass:List<String>="com.liferay.frontend.taglib.clay.data.set.
 provider.ClayDataSetDataProvider";uses:="com.liferay.frontend.taglib.
 clay.data.set.provider",osgi.service;objectClass:List<String>="com.li
 feray.frontend.taglib.servlet.taglib.ScreenNavigationCategory";uses:=
 "com.liferay.frontend.taglib.servlet.taglib",osgi.service;objectClass
 :List<String>="com.liferay.frontend.taglib.servlet.taglib.ScreenNavig
 ationCategory,com.liferay.frontend.taglib.servlet.taglib.ScreenNaviga
 tionEntry";uses:="com.liferay.frontend.taglib.servlet.taglib,com.life
 ray.frontend.taglib.servlet.taglib",osgi.service;objectClass:List<Str
 ing>="com.liferay.frontend.taglib.servlet.taglib.ScreenNavigationEntr
 y";uses:="com.liferay.frontend.taglib.servlet.taglib",osgi.service;ob
 jectClass:List<String>="com.liferay.portal.kernel.portlet.ManagePortl
 etProvider";uses:="com.liferay.portal.kernel.portlet",osgi.service;ob
 jectClass:List<String>="com.liferay.portal.kernel.portlet.bridges.mvc
 .MVCActionCommand";uses:="com.liferay.portal.kernel.portlet.bridges.m
 vc",osgi.service;objectClass:List<String>="com.liferay.portal.kernel.
 portlet.bridges.mvc.MVCRenderCommand";uses:="com.liferay.portal.kerne
 l.portlet.bridges.mvc",osgi.service;objectClass:List<String>="com.lif
 eray.portal.kernel.servlet.taglib.ui.FormNavigatorCategory";uses:="co
 m.liferay.portal.kernel.servlet.taglib.ui",osgi.service;objectClass:L
 ist<String>="com.liferay.portal.profile.PortalProfile";uses:="com.lif
 eray.portal.profile"
Require-Capability: osgi.extender;filter:="(&(osgi.extender=jsp.taglib
 )(uri=http://java.sun.com/portlet_2_0))",osgi.extender;filter:="(&(os
 gi.extender=jsp.taglib)(uri=http://liferay.com/tld/aui))",osgi.extend
 er;filter:="(&(osgi.extender=jsp.taglib)(uri=http://liferay.com/tld/c
 lay))",osgi.extender;filter:="(&(osgi.extender=jsp.taglib)(uri=http:/
 /liferay.com/tld/commerce-ui))",osgi.extender;filter:="(&(osgi.extend
 er=jsp.taglib)(uri=http://liferay.com/tld/expando))",osgi.extender;fi
 lter:="(&(osgi.extender=jsp.taglib)(uri=http://liferay.com/tld/fronte
 nd))",osgi.extender;filter:="(&(osgi.extender=jsp.taglib)(uri=http://
 liferay.com/tld/portlet))",osgi.extender;filter:="(&(osgi.extender=js
 p.taglib)(uri=http://liferay.com/tld/theme))",osgi.extender;filter:="
 (&(osgi.extender=jsp.taglib)(uri=http://liferay.com/tld/ui))",osgi.ex
 tender;filter:="(&(osgi.extender=osgi.component)(version>=1.3.0)(!(ve
 rsion>=2.0.0)))",osgi.service;filter:="(objectClass=com.liferay.comme
 rce.inventory.service.CommerceInventoryBookedQuantityLocalService)";e
 ffective:=active,osgi.service;filter:="(objectClass=com.liferay.comme
 rce.notification.service.CommerceNotificationQueueEntryLocalService)"
 ;effective:=active,osgi.service;filter:="(objectClass=com.liferay.com
 merce.notification.service.CommerceNotificationTemplateService)";effe
 ctive:=active,osgi.service;filter:="(objectClass=com.liferay.commerce
 .order.engine.CommerceOrderEngine)";effective:=active,osgi.service;fi
 lter:="(objectClass=com.liferay.commerce.order.status.CommerceOrderSt
 atusRegistry)";effective:=active,osgi.service;filter:="(objectClass=c
 om.liferay.commerce.order.web.internal.security.permission.resource.C
 ommerceOrderPermission)";effective:=active,osgi.service;filter:="(obj
 ectClass=com.liferay.commerce.payment.engine.CommercePaymentEngine)";
 effective:=active,osgi.service;filter:="(objectClass=com.liferay.comm
 erce.payment.service.CommercePaymentMethodGroupRelLocalService)";effe
 ctive:=active,osgi.service;filter:="(objectClass=com.liferay.commerce
 .price.CommerceOrderPriceCalculation)";effective:=active,osgi.service
 ;filter:="(objectClass=com.liferay.commerce.product.service.CPInstanc
 eService)";effective:=active,osgi.service;filter:="(objectClass=com.l
 iferay.commerce.product.service.CommerceChannelLocalService)";effecti
 ve:=active,osgi.service;filter:="(objectClass=com.liferay.commerce.pr
 oduct.util.CPInstanceHelper)";effective:=active,osgi.service;filter:=
 "(objectClass=com.liferay.commerce.product.util.CPSubscriptionTypeReg
 istry)";effective:=active,osgi.service;filter:="(objectClass=com.life
 ray.commerce.service.CommerceAddressService)";effective:=active,osgi.
 service;filter:="(objectClass=com.liferay.commerce.service.CommerceOr
 derItemService)";effective:=active,osgi.service;filter:="(objectClass
 =com.liferay.commerce.service.CommerceOrderLocalService)";effective:=
 active,osgi.service;filter:="(objectClass=com.liferay.commerce.servic
 e.CommerceOrderNoteService)";effective:=active,osgi.service;filter:="
 (objectClass=com.liferay.commerce.service.CommerceOrderPaymentLocalSe
 rvice)";effective:=active,osgi.service;filter:="(objectClass=com.life
 ray.commerce.service.CommerceOrderService)";effective:=active,osgi.se
 rvice;filter:="(objectClass=com.liferay.commerce.service.CommerceShip
 mentService)";effective:=active,osgi.service;filter:="(objectClass=co
 m.liferay.commerce.service.CommerceSubscriptionEntryLocalService)";ef
 fective:=active,osgi.service;filter:="(objectClass=com.liferay.fronte
 nd.taglib.clay.data.set.view.table.ClayTableSchemaBuilderFactory)";ef
 fective:=active,osgi.service;filter:="(objectClass=com.liferay.fronte
 nd.taglib.servlet.taglib.util.JSPRenderer)";effective:=active,osgi.se
 rvice;filter:="(objectClass=com.liferay.portal.kernel.model.Portlet)"
 ;effective:=active,osgi.service;filter:="(objectClass=com.liferay.por
 tal.kernel.security.permission.resource.ModelResourcePermission)";eff
 ective:=active,osgi.service;filter:="(objectClass=com.liferay.portal.
 kernel.service.GroupLocalService)";effective:=active,osgi.service;fil
 ter:="(objectClass=com.liferay.portal.kernel.service.UserLocalService
 )";effective:=active,osgi.service;filter:="(objectClass=com.liferay.p
 ortal.kernel.util.Portal)";effective:=active,osgi.service;filter:="(o
 bjectClass=javax.servlet.ServletContext)";effective:=active,osgi.cont
 ract;osgi.contract=JavaServlet;filter:="(&(osgi.contract=JavaServlet)
 (version=3.1.0))",osgi.contract;osgi.contract=JavaPortlet;filter:="(&
 (osgi.contract=JavaPortlet)(version=3.0.0))",osgi.ee;filter:="(&(osgi
 .ee=JavaSE)(version=1.8))"
Service-Component: OSGI-INF/com.liferay.commerce.order.web.internal.ap
 plication.list.CommerceOrderPanelApp.xml,OSGI-INF/com.liferay.commerc
 e.order.web.internal.asset.CommerceOrderAssetRendererFactory.xml,OSGI
 -INF/com.liferay.commerce.order.web.internal.custom.attributes.Commer
 ceOrderCustomAttributesDisplay.xml,OSGI-INF/com.liferay.commerce.orde
 r.web.internal.custom.attributes.CommerceOrderItemCustomAttributesDis
 play.xml,OSGI-INF/com.liferay.commerce.order.web.internal.frontend.Al
 lCommerceOrderClayTableDataSetDisplayView.xml,OSGI-INF/com.liferay.co
 mmerce.order.web.internal.frontend.CommerceAccountClayTableDataSetFil
 ter.xml,OSGI-INF/com.liferay.commerce.order.web.internal.frontend.Com
 merceBillingAddressClayListDataSetDisplayView.xml,OSGI-INF/com.lifera
 y.commerce.order.web.internal.frontend.CommerceBillingAddressDataSetD
 ataProvider.xml,OSGI-INF/com.liferay.commerce.order.web.internal.fron
 tend.CommerceChannelClayTableDataSetFilter.xml,OSGI-INF/com.liferay.c
 ommerce.order.web.internal.frontend.CommerceNotificationDataSetDataPr
 ovider.xml,OSGI-INF/com.liferay.commerce.order.web.internal.frontend.
 CommerceNotificationDataSetDisplayView.xml,OSGI-INF/com.liferay.comme
 rce.order.web.internal.frontend.CommerceOrderClayTableDataSetDisplayV
 iew.xml,OSGI-INF/com.liferay.commerce.order.web.internal.frontend.Com
 merceOrderItemClayDataSetActionProvider.xml,OSGI-INF/com.liferay.comm
 erce.order.web.internal.frontend.CommerceOrderItemClayTableDataSetDis
 playView.xml,OSGI-INF/com.liferay.commerce.order.web.internal.fronten
 d.CommerceOrderItemDataSetDataProvider.xml,OSGI-INF/com.liferay.comme
 rce.order.web.internal.frontend.CommerceOrderStatusClayTableDataSetFi
 lter.xml,OSGI-INF/com.liferay.commerce.order.web.internal.frontend.Co
 mmercePaymentClayTableDataSetDisplayView.xml,OSGI-INF/com.liferay.com
 merce.order.web.internal.frontend.CommercePaymentDataSetDataProvider.
 xml,OSGI-INF/com.liferay.commerce.order.web.internal.frontend.Commerc
 ePaymentMethodClayListDataSetDisplayView.xml,OSGI-INF/com.liferay.com
 merce.order.web.internal.frontend.CommercePaymentMethodDataSetDataPro
 vider.xml,OSGI-INF/com.liferay.commerce.order.web.internal.frontend.C
 ommerceShippingAddressClayListDataSetDisplayView.xml,OSGI-INF/com.lif
 eray.commerce.order.web.internal.frontend.CommerceShippingAddressData
 SetDataProvider.xml,OSGI-INF/com.liferay.commerce.order.web.internal.
 portlet.CommerceOrderPortlet.xml,OSGI-INF/com.liferay.commerce.order.
 web.internal.portlet.CommerceOrderPortletProvider.xml,OSGI-INF/com.li
 feray.commerce.order.web.internal.portlet.action.EditCommerceOrderBil
 lingAddressMVCRenderCommand.xml,OSGI-INF/com.liferay.commerce.order.w
 eb.internal.portlet.action.EditCommerceOrderExternalReferenceCodeMVCA
 ctionCommand.xml,OSGI-INF/com.liferay.commerce.order.web.internal.por
 tlet.action.EditCommerceOrderExternalReferenceCodeMVCRenderCommand.xm
 l,OSGI-INF/com.liferay.commerce.order.web.internal.portlet.action.Edi
 tCommerceOrderItemMVCActionCommand.xml,OSGI-INF/com.liferay.commerce.
 order.web.internal.portlet.action.EditCommerceOrderItemMVCRenderComma
 nd.xml,OSGI-INF/com.liferay.commerce.order.web.internal.portlet.actio
 n.EditCommerceOrderMVCActionCommand.xml,OSGI-INF/com.liferay.commerce
 .order.web.internal.portlet.action.EditCommerceOrderMVCRenderCommand.
 xml,OSGI-INF/com.liferay.commerce.order.web.internal.portlet.action.E
 ditCommerceOrderNoteMVCActionCommand.xml,OSGI-INF/com.liferay.commerc
 e.order.web.internal.portlet.action.EditCommerceOrderNoteMVCRenderCom
 mand.xml,OSGI-INF/com.liferay.commerce.order.web.internal.portlet.act
 ion.EditCommerceOrderPaymentMethodMVCRenderCommand.xml,OSGI-INF/com.l
 iferay.commerce.order.web.internal.portlet.action.EditCommerceOrderPa
 ymentStatusMVCRenderCommand.xml,OSGI-INF/com.liferay.commerce.order.w
 eb.internal.portlet.action.EditCommerceOrderPrintedNoteMVCRenderComma
 nd.xml,OSGI-INF/com.liferay.commerce.order.web.internal.portlet.actio
 n.EditCommerceOrderPurchaseOrderNumberMVCRenderCommand.xml,OSGI-INF/c
 om.liferay.commerce.order.web.internal.portlet.action.EditCommerceOrd
 erRequestedDeliveryDateMVCRenderCommand.xml,OSGI-INF/com.liferay.comm
 erce.order.web.internal.portlet.action.EditCommerceOrderShipmentMVCRe
 nderCommand.xml,OSGI-INF/com.liferay.commerce.order.web.internal.port
 let.action.EditCommerceOrderShippingAddressMVCRenderCommand.xml,OSGI-
 INF/com.liferay.commerce.order.web.internal.portlet.action.EditCommer
 ceOrderSummaryMVCRenderCommand.xml,OSGI-INF/com.liferay.commerce.orde
 r.web.internal.portlet.action.EditCommerceShipmentMVCRenderCommand.xm
 l,OSGI-INF/com.liferay.commerce.order.web.internal.portlet.action.Sel
 ectCommerceOrderBillingAddressMVCRenderCommand.xml,OSGI-INF/com.lifer
 ay.commerce.order.web.internal.portlet.action.SelectCommerceOrderShip
 pingAddressMVCRenderCommand.xml,OSGI-INF/com.liferay.commerce.order.w
 eb.internal.portlet.action.ViewCommerceNotificationQueueEntryMVCRende
 rCommand.xml,OSGI-INF/com.liferay.commerce.order.web.internal.securit
 y.permission.resource.CommerceOrderPermission.xml,OSGI-INF/com.lifera
 y.commerce.order.web.internal.servlet.taglib.ui.CommerceOrderCustomFi
 eldsScreenNavigationCategory.xml,OSGI-INF/com.liferay.commerce.order.
 web.internal.servlet.taglib.ui.CommerceOrderDetailsFormNavigatorCateg
 ory.xml,OSGI-INF/com.liferay.commerce.order.web.internal.servlet.tagl
 ib.ui.CommerceOrderEmailsScreenNavigationCategory.xml,OSGI-INF/com.li
 feray.commerce.order.web.internal.servlet.taglib.ui.CommerceOrderGene
 ralScreenNavigationCategory.xml,OSGI-INF/com.liferay.commerce.order.w
 eb.internal.servlet.taglib.ui.CommerceOrderItemDetailScreenNavigation
 Category.xml,OSGI-INF/com.liferay.commerce.order.web.internal.servlet
 .taglib.ui.CommerceOrderItemDetailsCustomFieldsScreenNavigationCatego
 ry.xml,OSGI-INF/com.liferay.commerce.order.web.internal.servlet.tagli
 b.ui.CommerceOrderItemDetailsFormNavigatorCategory.xml,OSGI-INF/com.l
 iferay.commerce.order.web.internal.servlet.taglib.ui.CommerceOrderNot
 esScreenNavigationEntry.xml,OSGI-INF/com.liferay.commerce.order.web.i
 nternal.servlet.taglib.ui.CommerceOrderPaymentsScreenNavigationCatego
 ry.xml,OSGI-INF/com.liferay.commerce.order.web.internal.servlet.tagli
 b.ui.CommerceOrderScreenNavigationCategory.xml,OSGI-INF/com.liferay.c
 ommerce.order.web.internal.servlet.taglib.ui.CommerceOrderShipmentsSc
 reenNavigationCategory.xml,OSGI-INF/com.liferay.commerce.order.web.in
 ternal.servlet.taglib.ui.CommerceOrderShippingSummaryScreenNavigation
 Category.xml,OSGI-INF/com.liferay.commerce.order.web.internal.portal.
 profile.ModulePortalProfile.xml
Tool: Bnd-4.3.0.201909301554

